Revise the upgrade content in OpenStack Operations Guide

Bug #1496195 reported by Darren Chan on 2015-09-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openstack-manuals
Undecided
Lana

Bug Description

The general consensus from operators is they rarely use upstream distribution packages in production environments when upgrading. There is
also less demand for step by step documentation due to continual improvements in the upgrade process and publication of new/changed/deprecated options in the Configuration Reference Guide.

Revise the upgrade chapter to apply to most operators. This will include:

1. Removing release specific upgrade content
2. Improving the general upgrade procedure to include:
- the order to upgrade and restart services
- operations for each service
- expected service outages
3. Describing changes in core functionality and features that would apply to most deployments
4. Adding tips, tricks and things to note when upgrading OpenStack in a production environment

-----------------------------------
Built: 2015-09-15T07:58:02 00:00
git SHA: 613cee6e14ddc413aef60861547be487583597d7
URL: http://docs.openstack.org/openstack-ops/content/ch_ops_upgrades.html
source File: file:/home/jenkins/workspace/operations-guide-tox-doc-publishdocs/doc/openstack-ops/ch_ops_upgrades.xml
xml:id: ch_ops_upgrades

Darren Chan (dazzachan) on 2015-09-16
Changed in openstack-manuals:
assignee: nobody → Darren Chan (dazzachan)
Darren Chan (dazzachan) on 2015-09-16
description: updated
Lana (loquacity) on 2015-09-16
Changed in openstack-manuals:
status: New → Confirmed
Darren Chan (dazzachan) on 2015-09-23
description: updated
Changed in openstack-manuals:
milestone: none → liberty
description: updated

Fix proposed to branch: master
Review: https://review.openstack.org/226632

Changed in openstack-manuals:
status: Confirmed → In Progress
Lana (loquacity) on 2015-09-28
tags: added: ops-guide
Changed in openstack-manuals:
assignee: Darren Chan (dazzachan) → Lana (loquacity)

Reviewed: https://review.openstack.org/226632
Committed: https://git.openstack.org/cgit/openstack/operations-guide/commit/?id=c1c78e3c791758b173bb690f42d5279cbaf25fa3
Submitter: Jenkins
Branch: master

commit c1c78e3c791758b173bb690f42d5279cbaf25fa3
Author: daz <email address hidden>
Date: Wed Sep 23 16:26:53 2015 +1000

    Revise the Upgrade chapter

    1. Removed duplicated upgrade content
    2. Reorganized content
    3. Modified upgrade process to be more generic and applicable
    to operators who are the target audience

    Change-Id: Ib216d132f4c0e2ee21eacef14bf60b2fe1f12073
    Closes-Bug: #1496195

Changed in openstack-manuals:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers